menu "Application specific configuration"
    config APP_WX_CITY_ID
        int "Weather City ID"
        default 10
        help
            City ID provided by Moji Weather

    config APP_SNTP_POOL_ADDR
        string "SNTP Pool Address"
        default "cn.pool.ntp.org"
        help
            NTP pool address.

    config APP_WIFI_SSID
        string "WiFi SSID"
        default "myssid"
        help
            SSID (network name) for the application to connect to.

    config APP_WIFI_PASSWORD
        string "WiFi Password"
        default "mypassword"
        help
            WiFi password (WPA or WPA2) for the application to use.

    config APP_MAXIMUM_RETRY
        int "Maximum retry"
        default 5
        help
            Set the Maximum retry to avoid station reconnecting to the AP unlimited when the AP is really inexistent.

    config APP_MQTT_BROKER_ADDR
        string "MQTT broker connection string"
        default "mqtt://127.0.0.1:1883"
        help
            Connection string for MQTT broker, use scheme://host:port format.

    config APP_MQTT_TLS_CLIENT_PASSPHRASE
        string "MQTT TLS Client Passphrase"
        default "AAAAAAAAAAAAAAAA"
        help
            Passphrase to decrypt MQTT client private key.
endmenu
